Subject: [Capwap] AD review ofdraft-ietf-capwap-protocol-binding-ieee80211-06 T7

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Fri, 27 Jun 2008 05:55:13 -0700

The AD Review Comment is:

   T7. Section 6.10 - the definition of how the field Band supported is
codified 
   is confusing. First a three bit integer value is mentioned, but then
the 
   explanation seems to indicate it's a bit mask

Yes, the text was indeed confusing, and unfortunately, this is one area
where the 2007 spec changed that we did not catch. So someone only
implementing to the CAPWAP spec, and ignoring the IEEE spec would not
have supported all of the bands (although I would question someone
implementing 802.11 without at least referring to the standard itself,
and already had a reference to help the implementor).

In any case, the new text is:

<text>
6.10.  IEEE 802.11 OFDM Control
[...]
   Band Supported:   The capability of the OFDM PHY implementation to
      operate in the three U-NII bands.  The value of this field comes
      from the IEEE 802.11 dot11FrequencyBandsSupported MIB element (see
      [IEEE.802-11.2007]), coded as a bit field, whose values are:

      Bit 0 -  capable of operating in the 5.15-5.25 GHz band

      Bit 1 -  capable of operating in the 5.25-5.35 GHz band

      Bit 2 -  capable of operating in the 5.725-5.825 GHz band

      Bit 3 -  capable of operating in the 5.47-5.725 GHz band

      Bit 4 -  capable of operating in the lower Japanese 5.25 GHz band

      Bit 5 -  capable of operating in the 5.03-5.091 GHz band

      Bit 6 -  capable of operating in the 4.94-4.99 GHz band

      For example, for an implementation capable of operating in the
      5.15-5.35 GHz bands this attribute would take the value 3.
</text>

PatC
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 29 Jun 2008 12:43:51 +0200

OK with me. 

Dan

> -----Original Message-----
> From: Pat Calhoun (pacalhou) [mailto:[email-masked]] 
> Sent: Friday, June 27, 2008 3:55 PM
> To: [email-masked]
> Subject: [Capwap] AD 
> reviewofdraft-ietf-capwap-protocol-binding-ieee80211-06 T7
> 
>    T7. Section 6.10 - the definition of how the field Band 
> supported is codified 
>    is confusing. First a three bit integer value is 
> mentioned, but then the 
> Yes, the text was indeed confusing, and unfortunately, this 
> is one area where the 2007 spec changed that we did not 
> catch. So someone only implementing to the CAPWAP spec, and 
> ignoring the IEEE spec would not have supported all of the 
> bands (although I would question someone implementing 802.11 
> without at least referring to the standard itself, and 
> already had a reference to help the implementor).
>